#include <stdio.h>
int main() {
  
   int n, i, k;
	
	scanf("%d", &n);
	
	if(n <= 0)
	{
	  printf("-1");
	  return -1;
	}
	
	for(i = 1; i <= n; i++)
	{
	  for(k = 1; k < i; k++)
		 printf(" ");
	  for(k = 1; k <= n-i; k++)
		 printf("*-");
	  printf("*\n");
	}
	
	return 0;
}